Alerts report

This API allows the user to generate a detailed report on all alert types.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
    "index": 0,
    "size": 100,
    "desc": true,
    "sortField": "dateTime",
    "filter": {
        "orFilter": {
            "vehicleId": [
                "bef7148c-dd18-11ec-87d5-a71b2bdfc1ca"
            ],
            "beaconMacAddress": [
                "FF7E34C450DA"
            ]
        },
        "matchFilter": {}
    },
    "startDate": "2022-10-12T04:00:00.000Z",
    "endDate": "2022-10-19T03:59:59.676Z",
    "alertTypeId": -1,
    "browserTimezone": "US/Eastern"
}

API Response explanation

FieldDescriptionData Type
generatedAtInMillisTime at which the API returns the result. The time is in milliseconds.Long
idUnique identifier of the alert recordString
alertNameName of the alertString
customerIdUnique identifier of the customerlong
alertIdUnique identifier of the alertString
alertTypeId

Unique identifier of the alert type

1 Speeding
2 Stop Time
3 Idling
4 Device Plugged In/Unplugged
5 Engine Diagnostic
6 Unauthorized Usage
7 Braking
8 Sudden Acceleration
9 Check Engine Light
10 Not Tracking
11 Scheduled Maintenance
13 Low Fuel
14 Ignition
15 Posted Speed Limit
16 Low Battery
17 Cornering
18 Panic Alert
19 Seat belt
20 Unknown Driver
21 Unauthorized Occupant Count
22 Beacon Unused
23 Sensor Alert
24 Job Alert
25 Temperature Sensor
26 Vehicle Battery Disconnected
27 Vehicle Battery Not Charging
28 Air Filter Clog
29 Tamper Alert
30 Clutch Override
31 Need Help
32 Low Oil Pressure
33 High Engine Speed
34 High Engine Temperature
35 Excess Idling
36 Break Down
37 Mahindra Low Fuel
38 Asset Temperature Sensor
39 Fuel Location Exception
40 Fuel Quantity Exception
41 SafetyCam Connected/Disconnected
42 VIN Change
43 SafetyCam Button Pressed
44 SafetyCam Connectivity Status
45 Reverse Detection
46 Back Up Detection
47 Tire Pressure
48 Collision Detection

Int
alertConfigValueAlert configuration value depending on the alertTypeIdString
durationDuration of the alert sustained in millisecondsLong
peakSpeedHighest speed attained by the vehicle in kphfloat
avgSpeedAverage speed attained by the vehicle in kphfloat
initialSpeedInitial speed of the vehicle in kphfloat
finalSpeedFinal speed of the vehicle in kphfloat
addressAddress of the locationString
dateTimeTimestamp in UTC timezoneDate
userNameName of the driverString
userIdUnique identifier representing the driverString
latLatitude of the locationDouble
lngLongitude of the locationDouble
parentGroupName of the parent groupString
deviceIdUnique identifier representing the deviceString
deviceSerialNumberSerial number of the deviceString
deviceTimezoneTimezone of the deviceString
assetnoAsset number of the vehicleString
vehicleName of the vehicleString
vehicleIdUnique identifier representing the vehicleString
groupName of the groupString
groupIdUnique identifier representing the groupString
speedSpeed of the vehicle in Kmsfloat
postedSpeedLimitPosted speed limit of the road in KmsInt
durationFormattedDuration in hh:mm:ss formatString
startTimeSettingStart time to track the vehicleString
endTimeSettingEnd time to track the vehicleString
lastContactTimeFormattedLast contact time in vehicle/device timezoneString
lastContactTimeLast contact time in UTC timezoneDate
mode

Alert mode configured in the alert section

1 - Indicates that the alert is triggered instantly
2 - Indicates that the alert is triggered as a summary alert.

int
noOfDaysNumber of days the beacon is unusedint
gracePeriodAfterIgnitionOnGrace period configured after the ignitionON before the alert can triggerint
alertTypeName of the alert typeboolean
maxOccupantsMaximum number of occupants in the vehicleint
detectedOccupantsNumber of occupants detected in the vehicleint
deviceTypeUnique identifier representing the type of the device
  • *1 = Datalogger
    6 = Asset Tracker
    11 = SafetyCam**
boolean
dateTimeInDTZTimestamp in device timezoneDate
displayTimeTimestamp in device timezone in YYYY-MM-DD HH:mm:ss:SSS formatString
firstPostedSpeedLimitFirst posted speed limit of the alert duration in kphfloat
averagePostedSpeedLimitAverage posted speed limit of the alert duration in kphfloat
beaconAsVehicleIdFor Azuga internal useboolean
hcbFor Azuga internal useboolean
errorDisplays the corresponding error message which occurs during API compilation.List<Error>
Body Params
string
required

The start date of the Alerts reports you want to generate.

string
required

The end date of the Alerts reports you want to generate.

int32
required
Defaults to -1

Unique Identifier to identify alert types. The alert type ID for each of the alerts is below: all alerts= -1 Speeding = 1 Stop Time = 2 Idling = 3 Device_Plugged_In/Removed = 4 Unauthorized_Vehicle_Usage = 6 Hard Braking = 7 Sudden Acceleration = 8 Check Engine Light = 9 Vehicle Not Tracking = 10 Scheduled Maintenance = 11 Low Fuel = 13 Ignition = 14 Posted Speed Limit = 15 Low Battery = 16 Cornering = 17 Panic = 18 Geofence = NULL Unknown_Driver = 20 Unauthorized_Occupant_Count = 21 * Beacon_Unused = 22

string
required
Defaults to US/Eastern

Local timezone of the user. The following timezones are valid: Canada/Central : CDT/CST ; US/Pacific : PDT/PST ; US/Eastern : EDT/EST ; US/Mountain : MDT/MST ; Etc/Greenwich : GMT ; Asia/Calcutta : IST ; US/Hawaii : HDT/HST ; US/Alaska : AKDT/AKST ; America/Phoenix : MST ; Mexico/General : CST/CDT ; Mexico/BajaSur : MST/MDT ; Mexico/BajaNorte : PST/PDT ; Canada/Newfoundland : NST/NDT ; America/Puerto_Rico : AST ; America/Chicago : CDT/CST ; America/Argentina/Buenos_Aires : ART

filter
object
required

Allows the user to add various filters to the report. orFilter and matchFilter are the valid ones and this field is mandatory.

int32
Defaults to 0

An integer indicating the page number

int32
Defaults to 100

The number of search results on a page.

boolean

Boolean value denoting the search results order (descending or ascending order)

string

Adds a sorting field to help users sort the report. The sorting field used here is the date-time(dateTime) and zone.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json